Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.ui
Class TextArea

    java.lang.Object
      com.tonbeller.wcf.ui.XoplonCtrl
          com.tonbeller.wcf.ui.TypedCtrl
              com.tonbeller.wcf.ui.EditCtrl
                  com.tonbeller.wcf.ui.TextArea

All Implemented Interfaces:
  BasicTypes

public class TextArea
extends EditCtrl

Factory class for generating text area ctrls, provides also access to the text area's special attributes

Field Summary
`static java.lang.String` | `NODENAME`

Fields inherited from interface com.tonbeller.wcf.format.BasicTypes
`BOOLEAN_TYPE, DATE_TYPE, DOUBLE_TYPE, EMAIL_TYPE, INT_TYPE, POSINT_TYPE, REQSTR_TYPE, STRING_TYPE`

Constructor Summary
`TextArea()`

Method Summary
`static org.w3c.dom.Element` | `addTextArea(org.w3c.dom.Element parent, int iRows)` factory function for adding text ctrl to parent
`static org.w3c.dom.Element` | `createTextArea(org.w3c.dom.Document doc, int iRows)` factory function for text ctrl
`static int` | `getCols(org.w3c.dom.Element element)` get Columns
`static int` | `getRows(org.w3c.dom.Element element)` get Rows
`static boolean` | `isTextArea(org.w3c.dom.Element elem)`
`static void` | `setCols(org.w3c.dom.Element element, int cols)` set Columns
`static void` | `setRows(org.w3c.dom.Element element, int rows)` set Rows

Methods inherited from class com.tonbeller.wcf.ui.EditCtrl
`createValueHolder, createValueHolder, getBoolean, getDate, getDouble, getInt, getMaxLength, getString, getValue, getValue, setBoolean, setDate, setDouble, setInt, setMaxLength, setString, setValue, setValue`

Methods inherited from class com.tonbeller.wcf.ui.TypedCtrl
`getFormatString, getType, setFormatString, setType`

Methods inherited from class com.tonbeller.wcf.ui.XoplonCtrl
`createCtrl, getId, getLabel, getModelReference, isDisabled, isHidden, setDisabled, setHidden, setId, setLabel, setModelReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODENAME

    public static final java.lang.String NODENAME

See Also:
  Constant Field Values

Constructor Detail

### TextArea

    public TextArea()

Method Detail

### isTextArea

    public static boolean isTextArea(org.w3c.dom.Element elem)

### createTextArea

    public static org.w3c.dom.Element createTextArea(org.w3c.dom.Document doc,
                                                     int iRows)
                                              throws FormatException

  factory function for text ctrl

  Throws:
    `FormatException`

### addTextArea

    public static org.w3c.dom.Element addTextArea(org.w3c.dom.Element parent,
                                                  int iRows)
                                           throws FormatException

  factory function for adding text ctrl to parent

  Throws:
    `FormatException`

### setRows

    public static void setRows(org.w3c.dom.Element element,
                               int rows)
                        throws FormatException

  set Rows

  Throws:
    `FormatException`

### getRows

    public static int getRows(org.w3c.dom.Element element)
                       throws FormatException

  get Rows

  Throws:
    `FormatException`

### setCols

    public static void setCols(org.w3c.dom.Element element,
                               int cols)
                        throws FormatException

  set Columns

  Throws:
    `FormatException`

### getCols

    public static int getCols(org.w3c.dom.Element element)
                       throws FormatException

  get Columns

  Throws:
    `FormatException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD